# AddressL3 in riscv::addr - Rust
API documentation for the Rust `AddressL3` trait in crate `riscv`.
Keywords: rust, rustlang, rust-lang, AddressL3

# Trait riscv::addr::AddressL3

source · [−]

    pub trait AddressL3: Address {
        fn p3_index(&self) -> usize;
        fn p2_index(&self) -> usize;
        fn p1_index(&self) -> usize;
        fn from_page_table_indices(
            p3_index: usize,
            p2_index: usize,
            p1_index: usize,
            offset: usize
        ) -> Self;
    }

## Required methods

source

#### fn p3_index(&self) -> usize

source

#### fn p2_index(&self) -> usize

source

#### fn p1_index(&self) -> usize

source

#### fn from_page_table_indices(
p3_index: usize,
p2_index: usize,
p1_index: usize,
offset: usize
) -> Self

## Implementors

source

### impl AddressL3 for GPAddrSv39X4

source

### impl AddressL3 for VirtAddrSv39